Summary:	Text editor for Xfce based on Leafpad
Summary(pl.UTF-8):	Edytor tekstu dla Xfce oparty na Leafpadzie
Name:		mousepad
Version:	0.6.5
Release:	1
License:	GPL v2+
Group:		X11/Applications/Editors
Source0:	https://archive.xfce.org/src/apps/mousepad/0.6/%{name}-%{version}.tar.xz
# Source0-md5:	53a9ddeb8481ed8cd17d795c3881599b
Patch0:		%{name}-desktop.patch
URL:		https://www.xfce.org/projects/mousepad/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.56.2
BuildRequires:	gspell-devel >= 1.6.0
BuildRequires:	gtk+3-devel >= 3.22
BuildRequires:	gtksourceview4-devel >= 4.0.0
BuildRequires:	libtool
BuildRequires:	libxfce4ui-devel >= 4.18
BuildRequires:	meson >= 0.57.0
BuildRequires:	ninja
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	polkit-devel >= 0.102
BuildRequires:	xfce4-dev-tools >= 4.18.0
Requires(post,postun):	desktop-file-utils
Requires:	glib2 >= 1:2.56.2
Requires:	gspell >= 1.6.0
Requires:	gtk+3 >= 3.22
Requires:	libxfce4ui >= 4.18
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mousepad is a lightweight text editor for Xfce. It features a simple
interface, broad character set support, printing with Xfprint, and
more. It opens lightening quick, making it perfect for editing config
files, doing quick scripting, and pretty printing documents like shell
scripts.

%description -l pl.UTF-8
Mousepad jest lekkim edytorem tekstowym dla Xfce. Cechuje go prosty
interfejs, obsługa wielu zestawów znaków, drukowanie przy pomocy
Xfprint i wiele więcej. Uruchamia się błyskawicznie, dzięki czemu jest
idealny do edycji plików konfiguracyjnych, pisania małych skryptów i
pięknego drukowania dokumentów takich jak skrypty powłoki.

%prep
%setup -q
%patch -P 0 -p1

mkdir -p m4

%{__sed} -i -e 's/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/' configure.ac

%build
%meson
%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{hye,ie}
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{fa_IR,fa}
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{hy_AM,hy}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libmousepad.a
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libmousepad.so

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_desktop_database_post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
/sbin/ldconfig
%update_desktop_database_postun
%update_icon_cache hicolor
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS
%attr(755,root,root) %{_bindir}/mousepad
%attr(755,root,root) %{_libdir}/libmousepad.so.*.*.*
%attr(755,root,root) %{_libdir}/libmousepad.so.0
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%attr(755,root,root) %{_libdir}/%{name}/plugins/libmousepad-plugin-gspell.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/libmousepad-plugin-shortcuts.so
%{_desktopdir}/org.xfce.mousepad.desktop
%{_desktopdir}/org.xfce.mousepad-settings.desktop
%{_datadir}/glib-2.0/schemas/org.xfce.mousepad.gschema.xml
%{_datadir}/glib-2.0/schemas/org.xfce.mousepad.plugins.gspell.gschema.xml
%{_datadir}/metainfo/org.xfce.mousepad.appdata.xml
%{_datadir}/polkit-1/actions/org.xfce.mousepad.policy
%{_iconsdir}/hicolor/*x*/apps/org.xfce.mousepad.png
%{_iconsdir}/hicolor/scalable/apps/org.xfce.mousepad.svg
%changelog
* Tue Apr 01 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mousepad.git;a=log;h=master

* Tue Apr 01 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 2e3a3fd
- up to 0.6.5

* Tue Mar 25 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> c7087a3
- up to 0.6.4

* Thu Nov 07 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> cf92e73
- up to 0.6.3

* Tue Sep 24 2024 Jakub Bogusz <qboosh@pld-linux.org> cdf6eea
- versioned runtime dependencies, package fa locale, release 2 (gspell 1.14)

* Tue Feb 06 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 10e4d07
- up to 0.6.2

* Sun May 14 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> a361c6d
- up to 0.6.1

* Thu Feb 09 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> a0d9691
- up to 0.6.0

* Sat Jul 09 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f68e875
- up to 0.5.10

* Fri Apr 08 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d1bddb3
- up to 0.5.9

* Fri Nov 26 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 441674b
- up to 0.5.8

* Sat Sep 25 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 93aa818
- up to 0.5.7

* Sun Aug 01 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 6e98518
- up to 0.5.6

* Fri May 14 2021 Jan Rękorajski <baggins@pld-linux.org> dcd96e8
- package owned dir
- remove unsupported locale
- rel 2

* Wed May 12 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> a055352
- up to 0.5.5

* Sat Apr 03 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 3723445
- required gtksourceview4

* Sat Apr 03 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 192057f
- up to 0.5.4

* Sun Feb 28 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 88b56e8
- up to 0.5.3

* Sun Jan 31 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 868de5a
- up to 0.5.2, fix post and postun tasks

* Mon Dec 28 2020 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 5f68e0d
- up to 0.5.1

* Sun Aug 25 2019 Jan Rękorajski <baggins@pld-linux.org> fd52b2f
- up to 0.4.2

